Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000553Core InformSource text and punctuationpublic2011-02-12 06:192014-05-07 07:34
ReporterBALROG 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000553: Apostrophe in story headline
DescriptionWe can't print an apostrophe in the story headline. If we use ', there is " in the game. And if we use ['], there is this error message : [** Programming error: tried to print (string) on something not a string **]
Minimal Source Text To Reproduce
The story headline is "L'épopée d'une abeille rouillée".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000058closedgraham Leading/trailing apostrophes can't be used in story title 
has duplicate 0000652closedjmcgrew Substitutions in the story headline cause I6 runtime errors 

-  Notes
(0001374)
graham (administrator)
2011-10-15 06:00

There were actually two bugs here: first, it failed to recognise é as a letter, which ought to have made the apostrophe automatically come out right; and secondly, the explicit use of ['] failed. I've fixed both.

- Issue History
Date Modified Username Field Change
2011-02-12 06:19 BALROG New Issue
2011-02-12 18:58 jmcgrew Relationship added related to 0000058
2011-02-12 18:59 jmcgrew Status new => acknowledged
2011-02-13 21:30 EmacsUser Status acknowledged => confirmed
2011-05-07 07:42 jmcgrew Relationship added has duplicate 0000652
2011-10-15 06:00 graham Note Added: 0001374
2011-10-15 06:00 graham Status confirmed => resolved
2011-10-15 06:00 graham Resolution open => fixed
2011-10-15 06:00 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker